# $Revision: 1.197 $, $Date: 2011/11/28 22:41:29 $
Summary:	/dev entries
Summary(de.UTF-8):	/dev-Einträge
Summary(fr.UTF-8):	Entrées de /dev
Summary(pl.UTF-8):	Pliki specjalne /dev/*
Summary(tr.UTF-8):	/dev dizini
Name:		dev
Version:	3.4
Release:	9
License:	Public Domain
Group:		Base
Source0:	%{name}-list
Requires:	setup >= 2.6.1-1
Provides:	devfs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unix and Unix-like systems (including Linux) use file system entries
to represent devices attached to the machine. All of these entries are
in the /dev tree (though they don't have to be), and this package
contains the most commonly used /dev entries. These files are
essential for a system to function properly.

%description -l de.UTF-8
Unix und Unix-ähnliche Systeme (inkl. Linux) verwenden Dateisystem-
Einträge zum Darstellen angeschlossener Geräte. Diese Einträge
befinden sich (nicht notwendigerweise) im Verzeichnis /dev. Dieses
Paket enthält die üblichsten /dev-Einträge. Diese Dateien sind für das
Funktionieren eines Systems unbedingt erforderlich.

%description -l fr.UTF-8
Unix et les systèmes apparentés (dont Linux) utilise des fichiers pour
représenter les périphériques reliés à la machine. Toutes ces entrées
sont dans l'arborescence /dev (ce n'est pas obligatoire). Ce paquetage
contient les entrées /dev les plus courantes. Elles sont essentielles
pour qu'un système fonctionne correctement.

%description -l pl.UTF-8
Wszystkie systemy klasy unices, w tym Linux, używają plików do
przedstawiania urządzeń podłączonych do komputera. Wszystkie te pliki
znajdują się zwykle w katalogu /dev. Pakiet ten zawiera większość
popularnych plików specjalnych, są one jedną z ważniejszych części
prawidłowo działającego systemu operacyjnego.

%description -l tr.UTF-8
Unix ve Unix benzeri sistemler (Linux da dahil olmak üzere), makinaya
bağlı aygıtları göstermek için özel dosyalar kullanırlar. Bu özel
dosyaların tümü /dev dizin yapısı altındadır. Bu paket en çok
kullanılan /dev dosyalarını içerir. Bu dosyalar, bir sistemin düzgün
olarak işleyebilmesi için temel gereksinimlerdendir.

%prep
%setup -q -c -T

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/dev/{ataraid,cciss,cdemu,cdroms,cpu/{0,1,2,3,4,5,6,7},cgroup,cpuset} \
	$RPM_BUILD_ROOT/dev/{discs,dri,etherd,i2o,ida,input,mapper,net,pts,raw,rd,usb,shm,snd,zap}

install %{SOURCE0} .

cd $RPM_BUILD_ROOT/dev
ln -sf adsp0 adsp
ln -sf amidi0 amidi
ln -sf audio0 audio
ln -sf dsp0 dsp
ln -sf fb0 fb
ln -sf rft0 ftape
ln -sf isdnctrl0 isdnctrl
ln -sf midi00 midi
ln -sf mixer0 mixer
ln -sf nrft0 nftape
ln -sf ram0 ramdisk

ln -sf em8300-0		em8300
ln -sf em8300_ma-0	em8300_ma
ln -sf em8300_mv-0	em8300_mv
ln -sf em8300_sp-0	em8300_sp
for i in `seq 0 31`; do
	ln -sf fb$i fb${i}current
done
ln -sf /proc/self/fd fd
ln -sf fd/0 stdin
ln -sf fd/1 stdout
ln -sf fd/2 stderr
i=0;
for l in a b c d e f g h; do
	ln -sf sg$l sg$i
	i=$((i+1))
done
ln -sf radio0 radio
ln -sf music sequencer2
ln -sf vbi0 vbi
ln -sf video0 video
ln -sf vtx0 vtx

# prepared for SysVinit
mkfifo initctl

mkfifo lircm
mkfifo printer

# prepared for Log Daemon
mkfifo syslog

%ifarch m68k
ln -sf amigamouse mouse
%endif

%ifarch ppc
ln -sf adbmouse mouse
%endif

%ifarch sparc sparc64 sparcv9
ln -sf sunmouse mouse
%endif

# PLD-forklor:
ln -sf null drzewo

%clean
rm -rf $RPM_BUILD_ROOT

%files -f dev-list
%defattr(644,root,root,755)
%dir /dev/ataraid
%dir /dev/cciss
%dir /dev/cdemu
%dir /dev/cgroup
%dir /dev/cpu
%dir /dev/cpu/0
%dir /dev/cpu/1
%dir /dev/cpu/2
%dir /dev/cpu/3
%dir /dev/cpu/4
%dir /dev/cpu/5
%dir /dev/cpu/6
%dir /dev/cpu/7
%dir /dev/cpuset
%dir /dev/dri
%attr(750,root,disk) %dir /dev/cdroms
%attr(750,root,disk) %dir /dev/discs
%dir /dev/etherd
%dir /dev/i2o
%dir /dev/ida
%dir /dev/input
%dir /dev/mapper
%dir /dev/net
%dir /dev/pts
%dir /dev/raw
%dir /dev/rd
%dir /dev/usb
%dir /dev/zap
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/adsp
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/amidi
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/audio
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/dsp
%config(noreplace) %verify(not link) %attr(660,root,video) /dev/fb
%config(noreplace) %verify(not link) %attr(660,root,disk) /dev/ftape
%config(noreplace) %verify(not link) %attr(600,root,root) /dev/isdnctrl
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/midi
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/mixer
%config(noreplace) %verify(not link) %attr(660,root,disk) /dev/nftape
%config(noreplace) %verify(not link) %attr(660,root,disk) /dev/ramdisk
%attr(660,root,video) /dev/em8300*
%attr(660,root,video) /dev/fb[0-9]*current
/dev/fd
/dev/stdin
/dev/stdout
/dev/stderr
%attr(660,root,video) /dev/radio
%attr(660,root,audio) /dev/sequencer2
%attr(600,root,root) /dev/sg[0-7]
%attr(1777,root,root) %dir /dev/shm
%dir /dev/snd
%attr(660,root,video) /dev/vbi
%attr(660,root,video) /dev/video
%attr(660,root,video) /dev/vtx
%attr(600,root,root) /dev/initctl
%attr(660,root,root) /dev/lircm
%attr(600,root,root) /dev/printer
%attr(666,root,root) /dev/syslog
%attr(666,root,root) /dev/drzewo

%ifarch %{ix86}
%dev(c,10,181) %attr(666,root,root) /dev/toshiba
%dev(c,212,0) %attr(600,root,root) /dev/slamr0
%dev(c,213,0) %attr(600,root,root) /dev/slusb0
%dev(c,226,0) %attr(660,root,video) /dev/dri/card0
%dev(c,226,1) %attr(660,root,video) /dev/dri/card1
%dev(c,226,2) %attr(660,root,video) /dev/dri/card2
%dev(c,226,3) %attr(660,root,video) /dev/dri/card3
%dev(c,226,4) %attr(660,root,video) /dev/dri/card4
%dev(c,226,5) %attr(660,root,video) /dev/dri/card5
%dev(c,226,6) %attr(660,root,video) /dev/dri/card6
%dev(c,226,7) %attr(660,root,video) /dev/dri/card7
%endif

%ifarch %{ix86} %{x8664}
%dev(c,10,227) %attr(600,root,root) /dev/mcelog
%dev(c,10,184) %attr(666,root,root) /dev/cpu/microcode
%endif

%ifarch m68k
%dev(b,2,4) %attr(660,root,floppy) /dev/fdhd0
%dev(b,2,5) %attr(660,root,floppy) /dev/fdhd1
# XXX: which permissions???
%dev(c,10,4) %attr(664,root,root) /dev/amigamouse
%attr(664,root,root) /dev/mouse
%dev(c,10,5) %attr(664,root,root) /dev/atarimouse
%dev(c,10,7) %attr(664,root,root) /dev/apollomouse
%endif

%ifarch ppc
%dev(c,56,0) /dev/adb
%dev(c,10,10) /dev/adbmouse
/dev/mouse
%dev(c,10,154) /dev/pmu
%dev(c,10,198) /dev/sheep_net
%endif

%ifarch sparc sparc64 sparcv9
%dev(c,14,7) %attr(660,root,audio) /dev/audioctl
# XXX: which permissions ???
%dev(c,10,139) %attr(600,root,root) /dev/openprom
%dev(c,10,6) %attr(664,root,root) /dev/sunmouse
%attr(664,root,root) /dev/mouse
%endif

%ifarch m68k sparc sparc64 sparcv9
# XXX: which permissions???
%dev(c,11,00) %attr(600,root,root) /dev/kbd
%endif

%ifnarch m68k sparc sparc64 sparcv9
%dev(c,10,3) %attr(664,root,root) /dev/atibm
%dev(b,29,0) %attr(660,root,disk) /dev/aztcd
%dev(b,15,0) %attr(660,root,disk) /dev/cdu31a
%dev(b,24,0) %attr(660,root,disk) /dev/cdu535
%dev(b,32,0) %attr(660,root,disk) /dev/cm206cd
%dev(b,16,0) %attr(660,root,disk) /dev/gscd
%dev(c,10,2) %attr(664,root,root) /dev/inportbm
%dev(c,10,0) %attr(664,root,root) /dev/logibm
%dev(b,23,0) %attr(660,root,disk) /dev/mcd
%dev(c,10,1) %attr(664,root,root) /dev/psaux
%dev(b,25,0) %attr(660,root,disk) /dev/sbpcd
%dev(b,25,0) %attr(660,root,disk) /dev/sbpcd0
%dev(b,25,1) %attr(660,root,disk) /dev/sbpcd1
%dev(b,25,2) %attr(660,root,disk) /dev/sbpcd2
%dev(b,25,3) %attr(660,root,disk) /dev/sbpcd3
%dev(b,18,0) %attr(660,root,disk) /dev/sjcd
%dev(b,15,0) %attr(660,root,disk) /dev/sonycd
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dev.spec,v $
Revision 1.197  2011/11/28 22:41:29  gotar
- added /dev/kmsg, rel. 9

Revision 1.196  2010/11/06 00:34:21  baggins
- rel 8
- typo

Revision 1.195  2010/11/06 00:28:13  baggins
- rel 7
- add /dev/cgroup dir

Revision 1.194  2010/05/21 07:29:12  matkor
- Release 6. Really perms change of /dev/shm to /etc/fstab value which is %attr(1777,root,root) as pointed out by Jakub Bogusz.

Revision 1.193  2010/05/21 07:00:43  matkor
- Release 5.
  Set attr(666,root,root)  /dev/shm
  Having mounted /dev/shm with defualts from  /etc/fstab and upgrading dev
  results in permision change resulting apps using shmem to get privs error

Revision 1.192  2009/03/01 16:29:51  baggins
- rel 4
- R new setup

Revision 1.191  2009/03/01 16:26:30  baggins
- rel 3
- s/ttyS/dialout/ group
- s/disk|backup/tape/ group for tape devices

Revision 1.190  2008/05/28 18:33:49  glen
- clearer commit log; rel 2 for th

Revision 1.189  2008-05-28 18:16:58  glen
- version 3.4 for fc2 upgrade
- remove "autoreqprov: no", this pkg doesn't have any provides by itself

Revision 1.188  2008-05-27 12:32:53  glen
- release 33

Revision 1.187  2008-04-18 06:42:52  arekm
- R: setup 2.4.12 rel 2

Revision 1.186  2008-04-18 06:35:42  arekm
- rel 32; R for new setup

Revision 1.185  2008-04-09 10:28:54  glen
- release 31

Revision 1.184  2008-04-09 10:28:38  glen
- adapter

Revision 1.183  2008-02-07 09:43:07  ankry
- unix -> Unix

Revision 1.182  2008-01-05 09:33:06  qboosh
- specify what "fixed" means

Revision 1.181  2008-01-05 06:18:12  sls
- rel. 30; fixed /dev/full permisions
  [0666,root,root]

Revision 1.180  2007-07-01 18:11:54  arekm
- rel 29

Revision 1.179  2007/06/28 15:44:46  qboosh
- microcode on x86*

Revision 1.178  2007/06/28 14:45:05  arekm
- rel 28; add /dev/cpu/microcode

Revision 1.177  2007/06/10 12:51:28  arekm
- rel 27; add /dev/snapshot

Revision 1.176  2007/04/01 09:04:23  qboosh
- dropped oldjs*, Linux 2.2 is no longer supported here

Revision 1.175  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.174  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.173  2006/08/19 11:39:59  qboosh
- added first 256 etherd (AoE) devices (shelf 0); release 26

Revision 1.172  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.171  2005/12/16 14:49:51  baggins
- release 25
- added dev/sch*, SCSI media changer

Revision 1.170  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.169  2005/11/22 18:38:56  baggins
- release 24
- added vroot devices

Revision 1.168  2005/11/21 10:15:18  arekm
- rel 23; added moxa devices

Revision 1.167  2005/09/16 15:18:52  baggins
- release 22
- added /dev/mcelog for x86 and x8664

Revision 1.166  2005/08/10 19:28:43  baggins
- added /dev/cpuset also to %files

Revision 1.165  2005/08/10 19:27:33  baggins
- release 21
- added /dev/cpuset

Revision 1.164  2005/08/08 10:56:01  qboosh
- release 20

Revision 1.163  2005/08/05 20:39:34  qboosh
- updated /dev/mptctl minor

Revision 1.162  2005/05/02 18:23:51  glen
- adapterized

Revision 1.161  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.160  2005/04/19 14:04:56  blues
- /dev/fuse added

Revision 1.159  2005/04/10 13:03:31  pluto
- /dev/inotify added.
- release 19.1.

Revision 1.158  2005/02/16 14:02:04  havner
- /dev/irnet
- rel 19

Revision 1.157  2005/02/13 19:20:18  arekm
- added /dev/input/uinput; rel 17

Revision 1.156  2005/02/11 15:16:44  blues
- rel. 17 - require setup >= 2.4.8, changed /dev/{n,}stX group to backup

Revision 1.155  2005/01/15 19:01:31  tommat
- added missing cdemu dir

Revision 1.154  2005/01/14 17:18:46  tommat
- added cdemu devices, rel 16

Revision 1.153  2005/01/05 10:36:13  havner
- fbslpash and mapper/control moved to source0
- rel 15

Revision 1.152  2005/01/05 10:33:13  qboosh
- fbsplash moved to c,10,62

Revision 1.151  2004/12/27 03:08:27  havner
- moved some devs from spec to dev-list

Revision 1.150  2004/12/27 03:01:14  havner
- /dev/fbsplash
- needs to be figured why and fixed why does it use the same major,minor
  as DM control (maybe that's why there are problems with DM on this kernel

Revision 1.149  2004/12/20 23:58:08  adamg
- /dev/ub[a-d]{,[0-7]} devices for new ub module (that comes with 2.6.9 (.10))

Revision 1.148  2004/11/10 13:58:58  paladine
- cosmetics

Revision 1.147  2004/10/12 20:45:01  mmazur
- rel 13 for th

Revision 1.146  2004/10/08 11:11:36  qboosh
- dirs g+w for disk makes no sense

Revision 1.145  2004/10/08 05:39:07  blues
- fixed dir prefs....

Revision 1.144  2004/08/09 10:00:13  pluto
- Fusion-MPT misc device (ioctl) driver.

Revision 1.143  2004/07/16 01:06:36  havner
- rel up

Revision 1.142  2004/07/15 20:45:35  havner
- more dri cards
- added install -d for dri dir

Revision 1.141  2004/07/15 20:37:15  averne
- added dri

Revision 1.140  2004/06/18 20:43:25  pluto
- more sparc fixes.

Revision 1.139  2004/06/18 20:39:05  pluto
- mouse symlink added (sparc64,sparcv9).

Revision 1.138  2004/06/13 08:53:30  arekm
- few i2c devs

Revision 1.137  2004/05/30 00:27:21  arekm
- added zaptel devices

Revision 1.136  2004/05/18 13:36:23  qboosh
- added /dev/audioctl for sparc, release 10

Revision 1.135  2004/05/15 17:48:40  havner
- rel up

Revision 1.134  2004/05/09 11:12:19  averne
- added slmodem devices

Revision 1.133  2004/04/26 14:29:58  baggins
- release 8
- added /dev/mapper/control

Revision 1.132  2004/04/14 11:19:57  adgor
- Release 7

Revision 1.131  2004/04/13 16:11:54  pluto
- vmware-workstation devices added.

Revision 1.130  2004/02/14 09:22:09  gotar
- added /dev/shm directory, release 6

Revision 1.129  2004/02/11 20:46:46  misi3k
- rel 5, added mga_vid

Revision 1.128  2003/12/08 22:52:26  qboosh
- /dev/fb* readable only for video group; relese 4

Revision 1.127  2003/11/27 15:25:12  deejay1
- added alsa devices, don't use /proc
- made by Lukasz Mach <lukasz (at) mach.com.pl>

Revision 1.126  2003/11/23 11:56:02  qboosh
- added few missing devices from pre-%dev spec to dev-list, release 2

Revision 1.125  2003/11/11 01:56:07  ankry
- unification

Revision 1.124  2003/09/02 10:29:31  gotar
- new style fb devices

Revision 1.123  2003/09/02 10:05:37  blues
- /dev/drzewo is resuscitated

Revision 1.122  2003/09/02 10:00:51  gotar
- moved dev-list from distfiles to SOURCES,
- added %clean section.

Revision 1.121  2003/09/02 09:25:52  gotar
- removed drzewo link,
- fixed fb, fd, ftape, nftape, stdin, stdout, stderr links,
- ix86: fixed snd link,
- m68k, ppc, sparc: added mouse link and missing cpu directory,
- finished.

Revision 1.120  2003/09/01 23:19:19  gotar
- don't touch please, will finish in the morning

Revision 1.119  2003/08/18 08:07:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.118  2003/08/13 22:21:12  arekm
- DPT is char device

Revision 1.117  2003/08/13 22:15:46  arekm
- added DPT I2O RAID devices

Revision 1.116  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.115  2003/05/25 05:46:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.114  2003/05/12 12:02:25  qboosh
- added first 16 rfcomm devices

Revision 1.113  2003/03/31 18:51:54  hunter
- added osst0/1

Revision 1.112  2003/03/08 02:48:38  blues
- release 32 - removed duplicate entry on file list, added dirs to allow
  make links that are the same like in devfs (smoother switch to devfs)
  STBR to Ra updates general (or maybe better contrib)

Revision 1.111  2002/12/22 20:08:56  adgor
- Added pktcdvd support
- Release 31

Revision 1.110  2002/12/20 09:55:32  qboosh
- added /dev/ttySL0 c 212 0 for Smart Link soft modem

Revision 1.109  2002/12/19 12:38:20  qboosh
- added /dev/usb/tkpanel* (touchkit panel); release 30

Revision 1.108  2002/11/06 10:50:50  qboosh
- added TAP/TUN device for 2.4; release 29

Revision 1.107  2002/09/05 18:42:08  blues
- release 28 - dhahelper for mplayer kernel module

Revision 1.106  2002/08/21 19:26:23  qboosh
- forgot previous time: 12 more ttys, release 27

Revision 1.105  2002/08/21 10:09:12  qboosh
- added intermezzo fs, cciss RAID and first 16 i2o disks devices; release 26

Revision 1.104  2002/07/22 14:58:48  blues
- added cpu/[0-7]/* - registers of procesors
- STBR

Revision 1.103  2002/07/22 14:01:49  qboosh
- fixed build (mknods outside RPM_BUILD_ROOT), always use mknode

Revision 1.102  2002/07/02 17:12:00  rrw
- yeah, made nodes but forgot to add these to %files;
- release 25, STBR;

Revision 1.101  2002/07/02 17:05:44  rrw
- added entries for em8300 hardware mpeg decoder;

Revision 1.100  2002/06/23 23:50:51  speedy
- PPC: sheep_net

Revision 1.99  2002/06/19 19:56:09  qboosh
- added nvram (c 10 144)
- verify(not user group mode) for /dev/tty[0-9]* (they change on login/logout)
- 664 root.video (instead of 664 root.root) for /dev/svga*
- release 23

Revision 1.98  2002/06/11 09:23:20  speedy
- Macintosh PowerBook power manager
- release 22

Revision 1.97  2002/06/10 12:30:48  blues
- added capsel device

Revision 1.96  2002/05/13 21:08:22  kloczek
- partialy reverted changes with tun devices (was added before).

Revision 1.95  2002/05/13 20:46:23  kloczek
- fix: changed permission to 600/root.root on /dev/tun* devices.

Revision 1.94  2002/05/13 20:34:00  kloczek
- release 20: added TUN/TAP devices (fixed http://bugs.pld.org.pl/?bug=184).

Revision 1.93  2002/04/25 16:10:48  arturs
- fixed a small typo

Revision 1.92  2002/04/05 15:09:31  roman
- s/public domain/Public Domain in License

Revision 1.91  2002/03/30 22:32:50  adasi
- yeah, made nodes but forgot to add these to %files
- rel 19, stbr

Revision 1.90  2002/03/30 16:49:49  adasi
- added tun device (/dev/tun0-tun9) for vtun
- release 18; STBR

Revision 1.89  2002/03/20 01:05:23  ankry
- added /dev/hd[i-l]*
- ide disks also for sparc.m68k
- release 17

Revision 1.88  2002/03/13 19:45:26  mkochano
- Release 16.
- Added mknod c 40 0 for Plustek scanners.

Revision 1.87  2002/03/09 20:28:50  kloczek
- added /dev/cpu/microcode (c,10,184).

Revision 1.86  2002/03/08 13:26:06  martii
- more ppc related fixes

Revision 1.85  2002/03/08 12:49:08  martii
- added ppc related devices

Revision 1.84  2002/02/25 13:21:18  blues
- forgot to add /dev/drzewo to files :)
- STBR now...

Revision 1.83  2002/02/25 13:12:59  blues
- rel 14
- added provides devfs (now I can install devfsd and not uninstall dev)
- added /dev/drzewo :)
- STBR

Revision 1.82  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.81  2002/02/17 23:11:09  wojtekka
- fixed /dev/input/mice. release 13.

Revision 1.80  2002/02/16 18:31:09  kloczek
- release 12 (release 11 is avalaible now on ftp).

Revision 1.79  2002/02/16 10:40:35  wojtekka
- fixed /dev/input/js* group. release 11.

Revision 1.78  2002/02/15 20:21:17  kloczek
- adapterized.

Revision 1.77  2002/02/15 18:19:37  wojtekka
- added usb devices.

Revision 1.76  2002/01/31 14:02:38  qboosh
- added ataraid devices, release 10

Revision 1.75  2002/01/28 10:31:00  marcus
- s/%{x86}/%{ix86}/g

Revision 1.74  2002/01/18 02:12:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.73  2002/01/03 23:04:54  gotar
- nvidia comment.

Revision 1.72  2001/12/28 17:15:54  gotar
- changes in descriptions.

Revision 1.71  2001/12/21 23:26:21  kloczek
- releas 9.

Revision 1.70  2001/12/21 09:00:09  blues
- added temperature device for watchdog

Revision 1.69  2001/12/13 08:15:01  gotar
- %install: touch replaced with >.

Revision 1.68  2001/11/14 21:37:37  kloczek
- release 8,
- added c 10 181 /dev/toshiba device.

Revision 1.67  2001/11/06 08:58:03  kloczek
- release 7.

Revision 1.66  2001/11/04 21:34:16  gotar
- changed 644 root.root to 664 root.video for /dev/fb?*

Revision 1.65  2001/10/24 16:56:09  qboosh
- release 6: added video4linux devices; prereq for setup with video group

Revision 1.64  2001/10/06 20:21:24  gotar
- changed BuildPrereq to BuildRequires.

Revision 1.63  2001/09/10 16:34:43  kloczek
- release 5.

Revision 1.62  2001/09/10 13:03:23  qboosh
- added agpgart c 10 175

Revision 1.61  2001/09/05 22:42:04  blues
- changed /dev/arpd owner to daemon - needed for new arpd

Revision 1.60  2001/08/30 12:18:48  gotar
- awful %configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.59  2001/07/31 07:01:03  saq
- /dev/lircm p
- release 4
- STB

Revision 1.58  2001/07/21 16:47:12  blues
- /dev/arpd c 36 8

Revision 1.57  2001/07/21 16:33:07  saq
- new device: /dev/lirc
- release 3
- STB

Revision 1.56  2001/07/16 17:27:12  gotar
- removed redundant rpm macros,
- cosmetics.

Revision 1.55  2001/07/13 14:00:29  zagrodzki
- added irda-utils devices

Revision 1.54  2001/07/03 20:35:49  gotar
- added %verify(not user) for /dev/vcs*.

Revision 1.53  2001/07/03 16:19:23  qboosh
- /dev/midi* perms changed to 660 root.audio (not 662)

Revision 1.52  2001/07/02 16:26:33  qboosh
- changed admmidi,adsp,amidi,dmfm,dmmidi perms to 660 root.audio

Revision 1.51  2001/06/30 17:13:20  gotar
- changed some listings to 'for' loops,
- changed group of /dev/tty{0,1*,2 thru 9} from 'tty'
  to 'root' - it's being changed anyway after logout,
- added using %{__*} macros.

Revision 1.50  2001/06/28 22:09:08  kloczek
- version 2.8.0.

Revision 1.49  2001/06/28 21:04:00  qboosh
- no longer noarch, fixed files list for sparc and m68k
  (need to check permissions for some sparc/m68k devices!)
- changed /dev/lp* and /dev/par* perms to 660 root.lp
- unified cdrom devices permissions to 660 root.disk
- prepared /dev/js* for kernel 2.4; old js* named oldjs*

Revision 1.48  2001/06/16 12:29:41  kloczek
- release 11: changed permission on md* devices to 660/root.disk
  (neccessary for amanda).

Revision 1.47  2001/04/10 23:15:54  saq
- moved /dev/nvidia* from XFree86-nvidia-kernel.spec
- release 10. STB

Revision 1.46  2001/03/19 22:22:24  saq
- added /dev/ttyLT0 for ltmodem
- Release: 9

Revision 1.45  2000/12/11 20:36:31  alchemyx
- video4linux devices added

Revision 1.44  2000/11/17 12:39:41  krzyszcz
- added /dev/rawctl and /dev/raw/raw* char devices.

Revision 1.43  2000/06/19 08:30:09  kloczek
- root.audio/660 on all audio devices.

Revision 1.42  2000/05/31 07:21:27  yaro
- added ALSA dev: amixer i acontrol
- fixed /dev/snd symlink

Revision 1.41  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.40  2000/05/07 12:10:50  kloczek
- removed /dev/nfsd_netlink.

Revision 1.39  2000/05/07 12:07:47  bonkey
- /dev/log removed due to collisions with syslog*

Revision 1.38  2000/05/05 16:28:23  jajcus
- ipsec device added

Revision 1.37  2000/05/05 14:11:23  kloczek
- release 7,
- added char devices /dev/nfsd_netlink (for knfsd) and /dev/svga* (for
  svgalib).

Revision 1.36  2000/04/25 19:56:25  zagrodzki
- new release

Revision 1.35  2000/04/09 12:18:44  zagrodzki
- removed %post (adding group "audio" should be done in setup, not in
  dev)
- removed Requires: shadow, sh-utils (not needed if no %post): to remove
  loop in dependencies (dev should require only setup and nothing more)
- changed Requires: setup to Prereq: setup to force right installation
  order.

Revision 1.34  2000/04/08 18:55:58  bonkey
- fix in %post

Revision 1.33  2000/04/08 18:47:24  bonkey
- %post: unmached 'fi'

Revision 1.32  2000/04/07 00:28:26  bonkey
- Requires:  sh-utils
- Requires:  shadow
- groupadd -g 23 audio
- attr(660,root, audio) /dev/{audio,dsp,mixer}*

Revision 1.31  2000/04/06 23:34:49  bonkey
- attr(660,root, audio) /dev/audio?*
  attr(660,root, audio) /dev/dsp?*
  attr(660,root, audio) /dev/mixer?*

Revision 1.30  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicated empty lines

Revision 1.29  2000/03/29 22:02:07  zagrodzki
- /dev/ttyS*: 664, root, ttyS

Revision 1.28  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.27  2000/03/24 16:13:56  mis
- removed %post and %pre scripts

Revision 1.26  2000/03/06 12:00:38  smyda
- insert rm in function mknode

Revision 1.25  2000/03/06 08:33:24  smyda
- replace mknod -> mknode shell function

Revision 1.24  1999/11/12 00:54:19  kura

- fixed pl translation

Revision 1.23  1999/10/11 07:08:16  waszi
- /dev/ip* moved from netfilter package

Revision 1.22  1999/10/05 08:39:01  waszi

- /dev/md* moved from raidtools

Revision 1.21  1999/08/13 13:52:07  misiek
- added /etc/ppp

Revision 1.20  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
